Bug 499486 - Review Request: python-repoze-what-pylons - A plugin providing utilities for Pylons applications using repoze.what
Review Request: python-repoze-what-pylons - A plugin providing utilities for ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brennan Ashton
Fedora Extras Quality Assurance
:
Depends On: 476789
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-06 16:29 EDT by Tom "spot" Callaway
Modified: 2009-07-24 15:44 EDT (History)
6 users (show)

See Also:
Fixed In Version: 1.0-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-24 15:43:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bashton: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2009-05-06 16:29:35 EDT
Spec URL: http://www.auroralinux.org/people/spot/review/new/python-repoze-what-pylons.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/python-repoze-what-pylons-1.0-1.fc11.src.rpm
Description: 
This plugin provides optional and handy utilities for Pylons applications
using repoze.what. Some of the features of the plugin include:
* The utilities are ready to use: There’s nothing additional to be configured
  before using.
* 100% documented. Each component is documented along with code samples.
* The test suite has a coverage of 100% and it will never decrease – if it
  ever does, report it as a bug!
* TurboGears 2 is officially supported as well.
Comment 1 Brennan Ashton 2009-05-23 23:54:26 EDT
[pass] source files match upstream:
sha256sum repoze.what-pylons-1.0.tar.gz 
fdf1453c99a290215646d869fb44bbf6652dd103787e7da84f1b5dc0964bf2fd  repoze.what-pylons-1.0.tar.gz

[pass] package meets naming and versioning guidelines.
[pass] specfile is properly named, is cleanly written and uses macros consistently.
[pass] dist tag is present.
[pass] build root is correct.

[pass]license field matches the actual license.
[pass] license is open source-compatible.
BSD
license text not included upstream.

[pass]latest version is being packaged.
1.0
[pass] BuildRequires are proper.
[pass] compiler flags are appropriate.
[pass] %clean is present.
package builds in mock.
Has requires that are not in repos yet but builds with local builds of them.
[pass] package installs properly.


I will finish this a little later.
Comment 2 Luke Macken 2009-06-05 17:19:09 EDT
http://lmacken.fedorapeople.org/rpms/python-repoze-what-pylons-1.0-2.fc10.src.rpm
http://lmacken.fedorapeople.org/rpms/python-repoze-what-pylons.spec

* Fri Jun 05 2009 Luke Macken <lmacken@redhat.com> - 1.0-2
- Add a patch to ensure we use our own setuptools.
Comment 3 Brennan Ashton 2009-06-14 01:51:03 EDT
The rest of the review:

[ATTENTION] rpmlint is silent.
rpmlint ../RPMS/noarch/python-repoze-what-pylons-1.0-2.fc11.noarch.rpm ../SRPMS/python-repoze-what-pylons-1.0-2.fc11.src.rpm python-repoze-what-pylons.spec 
python-repoze-what-pylons.src: W: mixed-use-of-spaces-and-tabs (spaces: line 11, tab: line 3)
python-repoze-what-pylons.spec: W: mixed-use-of-spaces-and-tabs (spaces: line 11, tab: line 3)
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

this is simple to fix.


The package requires python-decorator >= 3.0 this is only in f12 not f11.  We need to either update it in f11 or see if it really needs 3.0.

The URL field is also wrong.

I will continue when these are addressed.
Comment 4 Toshio Ernie Kuratomi 2009-06-14 11:10:00 EDT
decorator-3.0 changes API but there's only a few things that currently depend on it in the distro:

python-fedora-0:0.3.12-1.fc11.noarch
bodhi-server-0:0.5.19-1.fc11.noarch
python-pylons-0:0.9.7-0.2.rc4.fc11.noarch

The code in python-fedora should be fine (examined, not tested).

pinged kylev about python-pylons.

lmacken, you'll know about bodhi-server... If there's only one usage of decorator in bodhi, it's probably okay but could be ported to use python-fedora's generalization of the bodhi code.
Comment 5 Kyle VanderBeek 2009-06-14 18:18:29 EDT
I'm currently working on updating Pylons and dependencies to 0.9.7 in devel.  There are quite a few bits that need updating, so it may take me a day or two.
Comment 6 Kyle VanderBeek 2009-06-14 18:46:32 EDT
I looked at the decorator docs about compatability:

http://pypi.python.org/pypi/decorator#compatibility-notes

I then looked at the source for Pylons 0.9.7rc4 (current RPM) and 0.9.7 (what I'm working on) and neither version seems to run afoul of the changes.

 - decorator's get_info appears nowhere in pylons
 - decorator's new_wrapper appears nowhere in pylons
 - decorator's decorator is only used to wrap functions, no classes, and is never used to create a magic factory.

This is based on code perusal, not testing, but I'd give it 90% certainty that Pylons will be fine in F-11 if we update the python-decorator package.
Comment 7 Brennan Ashton 2009-06-14 23:38:18 EDT
I built the python-decorator 3.2 from f12 for this review, as well as a patched version of python-repoze-what (the package in testing has a simple spec file issue that is addressed in the review bug)

[PASS] owns the directories it creates.
[PASS] doesn't own any directories it shouldn't.
[PASS] no duplicates in %files.
[PASS] file permissions are appropriate.
[PASS] code, not content.
[PASS] documentation is small, so no -docs subpackage is necessary.
[PASS] %docs are not necessary for the proper functioning of the package.


When the python-decorator issue is sorted out and spec file formatting issue in comment #3 are fixed I will APPROVE this package.
Comment 8 Tom "spot" Callaway 2009-07-01 16:41:04 EDT
I doublechecked the URL issue, and it is definitely the correct upstream URL (it is the closest thing to a homepage that this project has).

New SRPM: http://www.auroralinux.org/people/spot/review/new/python-repoze-what-pylons-1.0-3.fc12.src.rpm
New SPEC: http://www.auroralinux.org/people/spot/review/new/python-repoze-what-pylons.spec

The rpmlint errors are fixed, and there is a clear Requires: python-decorator >= 3.0.
Comment 9 Fedora Update System 2009-07-02 12:36:25 EDT
python-decorator-3.0.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-decorator-3.0.1-2.fc11
Comment 10 Fedora Update System 2009-07-19 06:13:02 EDT
python-decorator-3.0.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Luke Macken 2009-07-22 16:49:07 EDT
ping? Looks like this package can be approved?
Comment 12 Brennan Ashton 2009-07-22 18:27:44 EDT
I will verify tonight and approve. Sorry for the delay.
Comment 13 Brennan Ashton 2009-07-23 03:17:42 EDT
Looks good to me. APPROVED. go ahead with cvs request
Comment 14 Tom "spot" Callaway 2009-07-23 09:36:56 EDT
New Package CVS Request
=======================
Package Name: python-repoze-what-pylons
Short Description: A plugin providing utilities for Pylons applications using repoze.what
Owners: spot
Branches: F-10 F-11 devel EL-5
InitialCC: lmacken

... and it's done.
Comment 15 Fedora Update System 2009-07-23 10:22:11 EDT
python-repoze-what-pylons-1.0-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-repoze-what-pylons-1.0-3.fc10
Comment 16 Fedora Update System 2009-07-23 10:22:16 EDT
python-repoze-what-pylons-1.0-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-repoze-what-pylons-1.0-3.fc11
Comment 17 Fedora Update System 2009-07-24 15:43:14 EDT
python-repoze-what-pylons-1.0-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2009-07-24 15:44:05 EDT
python-repoze-what-pylons-1.0-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.